Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516326 - regexp error: Invalid preceding regular expression
Summary: regexp error: Invalid preceding regular expression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texinfo
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 13:42 UTC by H.J. Lu
Modified: 2017-12-12 11:22 UTC (History)
7 users (show)

Fixed In Version: texinfo-6.4-6.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 11:22:20 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-12-04 18:12 UTC, Jerry James
no flags Details

Description H.J. Lu 2017-11-22 13:42:43 UTC
With info-6.4-5.fc27.x86_64, I got

# info as
...
regexp error: Invalid preceding regular expression[1]    25768 segmentation fault  info as

when I search for "{".

Comment 1 Vitezslav Crhonek 2017-11-22 14:02:39 UTC
Reproduced. This should be fixed in upstream version 6.5. I'll look at the possibility of backport.

Comment 2 Vitezslav Crhonek 2017-12-04 10:43:22 UTC
*** Bug 1520212 has been marked as a duplicate of this bug. ***

Comment 3 Fedora Update System 2017-12-04 11:00:05 UTC
texinfo-6.4-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6ae4147be

Comment 4 Jerry James 2017-12-04 18:12:06 UTC
Similar problem has been detected:

I ran "info as", then typed Ctrl-S followed by "\", at which point the segfault occurred.  This text was printed on the console:

regexp error: Trailing backslashSegmentation fault (core dumped)

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        info as
crash_function: free_matches
executable:     /usr/bin/info
journald_cursor: s=4cf9f15d268c438d9a238802622c0358;i=4ec48;b=f6b148802b3947c0862794c6c9f55d32;m=2a8e7d537;t=55f879666183e;x=5dd12567430522ea
kernel:         4.13.16-300.fc27.x86_64
package:        info-6.4-5.fc27
reason:         info killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 5 Jerry James 2017-12-04 18:12:09 UTC
Created attachment 1362789 [details]
File: backtrace

Comment 6 Vitezslav Crhonek 2017-12-05 08:41:46 UTC
(In reply to Jerry James from comment #4)
> Similar problem has been detected:
> 
> I ran "info as", then typed Ctrl-S followed by "\", at which point the
> segfault occurred.  This text was printed on the console:
> 
> regexp error: Trailing backslashSegmentation fault (core dumped)
> 
> reporter:       libreport-2.9.3
> backtrace_rating: 4
> cmdline:        info as
> crash_function: free_matches
> executable:     /usr/bin/info
> journald_cursor:
> s=4cf9f15d268c438d9a238802622c0358;i=4ec48;
> b=f6b148802b3947c0862794c6c9f55d32;m=2a8e7d537;t=55f879666183e;
> x=5dd12567430522ea
> kernel:         4.13.16-300.fc27.x86_64
> package:        info-6.4-5.fc27
> reason:         info killed by SIGSEGV
> rootdir:        /
> runlevel:       N 5
> type:           CCpp
> uid:            1000

Thanks for the bug report! Have you had a chance to test the updated package (texinfo-6.4-6.fc27)? It should fix your issue.

Comment 7 Jerry James 2017-12-05 14:56:31 UTC
(In reply to Vitezslav Crhonek from comment #6)
> Thanks for the bug report! Have you had a chance to test the updated package
> (texinfo-6.4-6.fc27)? It should fix your issue.

That does indeed fix the problem.  Thanks for the update!  I'll leave karma.

Comment 8 Eric Blake 2017-12-08 20:59:32 UTC
Similar problem has been detected:

I wanted to learn about bash for loops, so I did 'info bash', then typed '/for ((' (forgetting that it uses BRE which requires '\(' instead of ERE's plain '(').  I got:
regexp error: Unmatched ( or \(Segmentation fault (core dumped)

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        info bash
crash_function: free_matches
executable:     /usr/bin/info
journald_cursor: s=ce989946da0d4e73bc4ce367fc5b77cd;i=69c838;b=985a4eb7b36e4ab8b963465cc49ee96a;m=90774277e6;t=55fda68c6cd08;x=be25456ddc7ddb8c
kernel:         4.13.16-300.fc27.x86_64
package:        info-6.4-5.fc27
reason:         info killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            14986

Comment 9 Fedora Update System 2017-12-08 23:26:50 UTC
texinfo-6.4-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6ae4147be

Comment 10 Fedora Update System 2017-12-12 11:22:20 UTC
texinfo-6.4-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.